## CajaLocationWidgetProvider CajaLocationWidgetProvider — Interface to provide additional location widgets |

## Functions

GtkWidget * | caja_location_widget_provider_get_widget ()

## Types and Values

| CajaLocationWidgetProvider
struct | CajaLocationWidgetProviderIface

## Object Hierarchy

        GInterface
        ╰── CajaLocationWidgetProvider

## Prerequisites

CajaLocationWidgetProvider requires GObject.

## Includes

    #include <libcaja-extension/caja-location-widget-provider.h>

## Description

CajaLocationWidgetProvider allows extension to provide additional location widgets in the file manager views.

## Functions

### caja_location_widget_provider_get_widget ()

    GtkWidget *
    caja_location_widget_provider_get_widget
                                   (CajaLocationWidgetProvider *provider,
                                    const char *uri,
                                    GtkWidget *window);

#### Parameters

provider | a CajaLocationWidgetProvider |
uri | the URI of the location |
window | parent GtkWindow |

#### Returns

the location widget for `provider` at `uri` .

[transfer none]

## Types and Values

### CajaLocationWidgetProvider

    typedef struct _CajaLocationWidgetProvider CajaLocationWidgetProvider;

### struct CajaLocationWidgetProviderIface

    struct CajaLocationWidgetProviderIface {
        GTypeInterface g_iface;

        GtkWidget *(*get_widget) (CajaLocationWidgetProvider *provider,
                                  const char                 *uri,
                                  GtkWidget                  *window);
    };

Interface for extensions to provide additional location widgets.

#### Members

`get_widget` () | Returns a GtkWidget. See `caja_location_widget_provider_get_widget()` for details. |